﻿using System.Collections.Generic;

using Prism.Interactivity.InteractionRequest;

namespace TestProject.Notifications
{
    /// <summary>
    /// 커스텀 통지
    /// </summary>
    public class CustomNotification : Confirmation, ICustomNotification
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 항목 리스트 - Items

        /// <summary>
        /// 항목 리스트
        /// </summary>
        public IList<string> Items { get; private set; }

        #endregion
        #region 선택 항목 - SelectedItem

        /// <summary>
        /// 선택 항목
        /// </summary>
        public string SelectedItem { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - CustomNotification()

        /// <summary>
        /// 생성자
        /// </summary>
        public CustomNotification()
        {
            this.Items = new List<string>();

            Items.Add("Item1");
            Items.Add("Item2");
            Items.Add("Item3");
            Items.Add("Item4");
            Items.Add("Item5");
            Items.Add("Item6");

            this.SelectedItem = null;
        }

        #endregion
    }
}