﻿using System;
using System.Windows;
using System.Windows.Controls;

using Prism.Interactivity.InteractionRequest;

namespace TestProject.Views
{
    /// <summary>
    /// 커스텀 팝업 뷰
    /// </summary>
    public partial class CustomPopupView : UserControl, IInteractionRequestAware
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 종료 상호 작용 - FinishInteraction

        /// <summary>
        /// 종료 상호 작용
        /// </summary>
        public Action FinishInteraction { get; set; }

        #endregion
        #region 통지 - Notification

        /// <summary>
        /// 통지
        /// </summary>
        public INotification Notification { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - CustomPopupView()

        /// <summary>
        /// 생성자
        /// </summary>
        public CustomPopupView()
        {
            InitializeComponent();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 버튼 클릭시 처리하기 - button_Click(sender, e)

        /// <summary>
        /// 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void button_Click(object sender, RoutedEventArgs e)
        {
            FinishInteraction?.Invoke();
        }

        #endregion
    }
}